Bug 459915 - (freedink-data) Review Request: freedink-data - Adventure and role-playing game (data)
Review Request: freedink-data - Adventure and role-playing game (data)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: freedink
  Show dependency treegraph
 
Reported: 2008-08-24 09:49 EDT by Sylvain Beucler
Modified: 2008-10-20 18:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-06 09:55:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sylvain Beucler 2008-08-24 09:49:07 EDT
Spec URL: http://www.freedink.org/snapshots/fedora/dink-data.spec
SRPM URL: http://www.freedink.org/snapshots/fedora/dink-data-1.08-1.fc8.src.rpm
Description: Adventure and role-playing game (game data)
Dink Smallwood is an adventure/role-playing game, similar to Zelda,
made by RTsoft. Besides twisted humour, it includes the actual game
editor, allowing players to create hundreds of new adventures called
Dink Modules or D-Mods for short.

This package contains architecture-independent data for the original
game (except for non-free sounds).
Comment 1 Mamoru TASAKA 2008-09-04 12:38:03 EDT
Some notes for 1.08-1:

* %setup
  - %setup is missing, which may cause some strange build failure
    like the following thread:
    http://www.redhat.com/archives/rhl-devel-list/2008-February/thread.html#01956
    Add "%setup -q -c -T", for example.

* Macros
  - Use macros for standard directories:
    https://fedoraproject.org/wiki/Packaging/RPMMacros
    For example, /usr/share must be %{_datadir}.

* Output when unpackaging archive
  - Suppress the output when unpackging archive by "unzip -qq".
    When you "unzip"s zip archive at %setup, setup uses "-qq"
    option by default.
Comment 2 Mamoru TASAKA 2008-09-13 01:48:09 EDT
ping?
Comment 5 Mamoru TASAKA 2008-09-22 14:52:37 EDT
For 1.08.20080920-1:

* Licensing
  - Well, from texts about licensing in source tarball all the
    contents in the tarball are free.

    However now the tag "License: zlib" (only) is no longer valid
    as some more files are added as written in README-REPLACEMENTS.txt.

    * Please check README.txt, README-REPLACEMENTS.txt and update
      License tag. Also please refer to the below.
      - About the kind of tags used on Fedora licensing:
        https://fedoraproject.org/wiki/Licensing

      - About how to write the tag of License for source tarball
        containing contents under different licenses:
        https://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License:_field

    * Also adding files under licenses/ to %doc is necessary.
      
* Macros
  - Use macros for standard directories:
    https://fedoraproject.org/wiki/Packaging/RPMMacros
    /usr must be %{_prefix}.

* Timestamps
  - As this package installs many files in the source tarball as they
    are, keeping timestamps on those files is strongly recommended.
    Please replace "cp -r" in Makefile to "cp -pr" or "cp -a".

* General rpmlint issue
---------------------------------------------------------------
W: wrong-file-end-of-line-encoding /usr/share/doc/freedink-data-1.08.20080920/README-REPLACEMENTS.txt
W: wrong-file-end-of-line-encoding /usr/share/doc/freedink-data-1.08.20080920/README.txt
---------------------------------------------------------------
  - These files have CRLF line terminators, remove them
    (sed -e 's|\r||' or dos2unix will do this).
    https://fedoraproject.org/wiki/PackageMaintainers/Common_Rpmlint_Issues#wrong-file-end-of-line-encoding
Comment 6 Sylvain Beucler 2008-09-23 16:58:23 EDT
(In reply to comment #5)
> For 1.08.20080920-1:
> 
> * Licensing
>   - Well, from texts about licensing in source tarball all the
>     contents in the tarball are free.
> 
>     However now the tag "License: zlib" (only) is no longer valid
>     as some more files are added as written in README-REPLACEMENTS.txt.

OK, should be good now:
License:        zlib and CC-BY-SA and (GPLv3+ or Free Art or CC-BY-SA) and OAL and Public Domain and CC-BY and GPLv2+


>     * Also adding files under licenses/ to %doc is necessary.

Is it OK to add the "licenses/" directory directly?

> * Macros
>   - Use macros for standard directories:
>     https://fedoraproject.org/wiki/Packaging/RPMMacros
>     /usr must be %{_prefix}.

I missed that one.

> * Timestamps
>   - As this package installs many files in the source tarball as they
>     are, keeping timestamps on those files is strongly recommended.
>     Please replace "cp -r" in Makefile to "cp -pr" or "cp -a".

Fixed in GIT and applied as a patch to avoid a new 56M release.

> * General rpmlint issue
> ---------------------------------------------------------------
> W: wrong-file-end-of-line-encoding
> /usr/share/doc/freedink-data-1.08.20080920/README-REPLACEMENTS.txt
> W: wrong-file-end-of-line-encoding
> /usr/share/doc/freedink-data-1.08.20080920/README.txt
> ---------------------------------------------------------------
>   - These files have CRLF line terminators, remove them
>     (sed -e 's|\r||' or dos2unix will do this).
> 
> https://fedoraproject.org/wiki/PackageMaintainers/Common_Rpmlint_Issues#wrong-file-end-of-line-encoding

OK, done.


Here are the new files:
http://www.freedink.org/snapshots/fedora-review/freedink-data.spec
http://www.freedink.org/snapshots/fedora-review/freedink-data-1.08.20080920-1.fc8.src.rpm
Comment 7 Mamoru TASAKA 2008-09-24 02:52:47 EDT
Please change the release number every time you modify your spec file
to avoid confusion.

https://fedoraproject.org/wiki/Packaging/FrequentlyMadeMistakes
Comment 8 Mamoru TASAKA 2008-09-24 03:02:18 EDT
Also please write in %changelog what you modified even during review request.
Comment 10 Mamoru TASAKA 2008-09-24 12:44:01 EDT
Okay, good.

(In reply to comment #6)
 >     * Also adding files under licenses/ to %doc is necessary.
> 
> Is it OK to add the "licenses/" directory directly?
   - Sure. Now please also fix licenses/oal-1-0-1.txt CRLF line terminators

-----------------------------------------------------------------
   This package (freedink-data) is APPROVED by mtasaka
-----------------------------------------------------------------
Comment 11 Sylvain Beucler 2008-09-24 16:33:36 EDT
(In reply to comment #10)
> - Sure. Now please also fix licenses/oal-1-0-1.txt CRLF line terminators

Hmm, oal-1-0-1.txt has Unix newlines.

I see that art_libre-1.3.html and free_art-1.3.html do, though as they are HTML documents this shouldn't be an issue?

> -----------------------------------------------------------------
>    This package (freedink-data) is APPROVED by mtasaka
> -----------------------------------------------------------------

Yay!
Comment 12 Mamoru TASAKA 2008-09-24 23:06:15 EDT
(In reply to comment #11)
> (In reply to comment #10)
> > - Sure. Now please also fix licenses/oal-1-0-1.txt CRLF line terminators
> 
> Hmm, oal-1-0-1.txt has Unix newlines.

Here it seems I was half asleep again :( sorry.

> I see that art_libre-1.3.html and free_art-1.3.html do, though as they are HTML
> documents this shouldn't be an issue?

I guess this can be ignored.

Removing NEEDSPONSOR (bug 455916)
Comment 13 Sylvain Beucler 2008-09-26 02:50:24 EDT
New Package CVS Request
=======================
Package Name: freedink-data
Short Description: Adventure and role-playing game (game data)
Owners: beuc
Branches: F-8 F-9
InitialCC: beuc
Comment 14 Kevin Fenzi 2008-09-28 15:21:55 EDT
cvs done.
Comment 15 Fedora Update System 2008-10-05 13:26:13 EDT
freedink-data-1.08.20080920-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/freedink-data-1.08.20080920-3.fc9
Comment 16 Fedora Update System 2008-10-05 13:26:19 EDT
freedink-data-1.08.20080920-3.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/freedink-data-1.08.20080920-3.fc8
Comment 17 Mamoru TASAKA 2008-10-06 09:55:28 EDT
Thanks. Now closing.

When you think the submitted packages can be moved to stable repository,
please modify (edit) the request on bodhi.
Comment 18 Fedora Update System 2008-10-20 16:27:02 EDT
freedink-data-1.08.20080920-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2008-10-20 18:11:00 EDT
freedink-data-1.08.20080920-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.